Set reviewed date on packaged app updates when approved

VERIFIED FIXED in 2013-12-10

Status

Marketplace
Reviewer Tools
VERIFIED FIXED
4 years ago
4 years ago

People

(Reporter: robhudson, Assigned: robhudson)

Tracking

Avenir
2013-12-10
x86
Mac OS X
Points:
---

Details

(Assignee)

Description

4 years ago
Currently it appears as if we are not setting the reviewed date when a packaged app update is approved. For example, on -dev the app loqui has 2 non-deleted versions:

mysql> select addon_id, version, modified, reviewed from versions where addon_id=448292 and deleted=0;
+----------+---------+---------------------+---------------------+
| addon_id | version | modified            | reviewed            |
+----------+---------+---------------------+---------------------+
|   448292 | 009     | 2013-06-21 03:14:41 | 2013-06-23 19:47:09 |
|   448292 | v0.0.11 | 2013-09-08 11:30:07 | NULL                |
+----------+---------+---------------------+---------------------+
2 rows in set (0.00 sec)

The latest version, v0.0.11, was approved 2013-07-29 according to the review logs but the date wasn't set.
(Assignee)

Updated

4 years ago
Assignee: nobody → robhudson.mozbugs
(Assignee)

Comment 1

4 years ago
https://github.com/mozilla/zamboni/commit/e118cc3 

Might be difficult to verify unless you have db access, but could always ask someone to check the db for you. Let me know and I'd be happy to.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 2013-12-10

Comment 2

4 years ago
(In reply to Rob Hudson [:robhudson] from comment #1)
> https://github.com/mozilla/zamboni/commit/e118cc3 
> 
> Might be difficult to verify unless you have db access, but could always ask
> someone to check the db for you. Let me know and I'd be happy to.

I added and approved a new version for https://marketplace-dev.allizom.org/app/cuowblelpen-io-moundetmak-4/ . 

Can you please let me know if everything was correctly updated in db?
(Assignee)

Comment 3

4 years ago
Yep, reviewed date was added:

mysql> select id, version, created, reviewed from versions where addon_id=472081;
+---------+---------+---------------------+---------------------+
| id      | version | created             | reviewed            |
+---------+---------+---------------------+---------------------+
| 1496991 | 24.0    | 2013-12-06 08:04:45 | 2013-12-09 07:02:01 |
| 1497153 | 25.0    | 2013-12-09 07:06:04 | 2013-12-09 07:08:19 |
+---------+---------+---------------------+---------------------+
2 rows in set (0.00 sec)

Comment 4

4 years ago
Thank you Rob!

Verified as fixed.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.